classification
Title: move the "Uploading Packages" section to distutils/packageindex.rst
Type: enhancement Stage: resolved
Components: Distutils, Documentation Versions: Python 3.4, Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: chris.jerdonek, eric.araujo, ezio.melotti, georg.brandl, python-dev, tarek
Priority: normal Keywords: easy, patch

Created on 2012-11-04 19:03 by chris.jerdonek, last changed 2013-02-27 18:17 by chris.jerdonek. This issue is now closed.

Files
File name Uploaded Description Edit
issue-16406-1.patch chris.jerdonek, 2013-01-10 01:39 review
issue-16406-2.patch chris.jerdonek, 2013-01-10 06:00 review
issue-16406-3.patch chris.jerdonek, 2013-01-13 02:09 review
issue-16406-4.patch chris.jerdonek, 2013-02-25 03:42 review
Messages (12)
msg174825 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-04 19:03
I think the Package Index (PyPI) documentation would be clearer if the section called "Uploading Packages to the Package Index":

http://docs.python.org/3.4/distutils/uploading.html

were made a part of the previous section about PyPI (now called "Registering with the Package Index"):

http://docs.python.org/3.4/distutils/packageindex.html

The combined section could then be renamed simply to "The Python Package Index (PyPI)".

Both sections are small and very closely related.  For example, the second half of the section on uploading (the subsection called "PyPI package display") is not actually about uploading but rather about registering and PyPI in general.  Similarly, the second half of the first section on registering (the subsection called "The .pypirc file") applies equally to uploading as it does to registering.

I was affected by the current organization, for example, because it gave the impression that uploading updates the PyPI package display (which is conceivable since PKG-INFO is part of the uploaded files).  Rather, it is registering a version which updates the package display for that version.

A combined section on PyPI would better reflect how things should be understood.
msg177189 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-12-09 00:31
I’m reluctant to break links.  I think the issues you report could be fixed or mitigated with changes to text, clarifications, interlinks.  What do you think?
msg177190 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-09 00:42
I've been meaning to ask Georg or anyone else knowledgeable about what options we have for redirects, etc. -- specifically for this issue.  Maybe something similar can even be done using Sphinx.

If we can't redirect, I was thinking even a stub page with a manual link to the PyPI page might be an improvement (to prevent the broken external link issue you mention).
msg177204 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-12-09 07:33
Redirects are no problem in principle, but it should not get out of hand.  A simple "this was here but now isn't" page might be better.
msg179510 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-10 01:39
Attached is a proposed patch.
msg179526 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-10 06:00
Updating patch with use of the :orphan: directive (so that the old page can be excluded from the table of contents/toctree without issuing a Sphinx warning).
msg179844 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-13 02:09
Updated the last patch by moving the "PyPI package display" to beneath the "Registering Packages" section (since only the register command affects the package display).

Éric, does this look okay to you?  I didn't change the text of any of the sections -- only moved them (and added introductory page text and index entries).
msg182914 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-25 03:42
Attaching an improved patch.

This patch improves the introductory wording, adds some additional hyperlinks, and changes the order of one of the inserted sections.
msg183164 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-02-27 17:21
LGTM.  Some comments on Rietveld.
msg183167 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-27 18:05
New changeset a9565750930e by Chris Jerdonek in branch '2.7':
Issue #16406: combine the doc pages for uploading and registering to PyPI.
http://hg.python.org/cpython/rev/a9565750930e

New changeset f57ddf3c3e5d by Chris Jerdonek in branch '3.2':
Issue #16406: Combine the doc pages for uploading and registering to PyPI.
http://hg.python.org/cpython/rev/f57ddf3c3e5d

New changeset 58a28aa70fec by Chris Jerdonek in branch '3.3':
Issue #16406: Combine the doc pages for uploading and registering to PyPI.
http://hg.python.org/cpython/rev/58a28aa70fec

New changeset 44ebac378e51 by Chris Jerdonek in branch 'default':
Issue #16406: Combine the doc pages for uploading and registering to PyPI.
http://hg.python.org/cpython/rev/44ebac378e51
msg183168 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-27 18:07
Thanks a lot for taking the time to review, guys.
msg183170 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-27 18:17
I created issue 17311 for a suggestion Éric made on Rietveld.
History
Date User Action Args
2013-02-27 18:17:08chris.jerdoneksetmessages: + msg183170
2013-02-27 18:07:37chris.jerdoneksetstatus: open -> closed
resolution: fixed
messages: + msg183168

stage: patch review -> resolved
2013-02-27 18:05:36python-devsetnosy: + python-dev
messages: + msg183167
2013-02-27 17:21:18eric.araujosetmessages: + msg183164
2013-02-25 03:42:19chris.jerdoneksetfiles: + issue-16406-4.patch

messages: + msg182914
2013-01-13 02:09:41chris.jerdoneksetfiles: + issue-16406-3.patch

messages: + msg179844
2013-01-10 06:00:38chris.jerdoneksetfiles: + issue-16406-2.patch

messages: + msg179526
2013-01-10 01:39:30chris.jerdoneksetfiles: + issue-16406-1.patch
keywords: + patch
messages: + msg179510

stage: patch review
2012-12-09 07:33:44georg.brandlsetmessages: + msg177204
2012-12-09 00:42:34chris.jerdoneksetmessages: + msg177190
2012-12-09 00:31:43eric.araujosetmessages: + msg177189
2012-11-04 19:03:13chris.jerdonekcreate